Subject: bug#57684: locked narrowing breaks existing code without an apparent way to repair

From: Po Lu <[email-masked]>
Date: Fri, 09 Sep 2022 09:46:44 +0800

Paul Pogonyshev <[email-masked]> writes:

> Good to hear. I think in all cases it should be left to the coder to
> temporarily lift restrictions, even if those are "locked", maybe
> with strong warnings in documentation. Speed should always
> come a second priority to functionality. Besides, Logview (one
> example of what would suffer if widening is impossible) is very
> fast.
>
> As an example of why widening might be needed: fontification
> may depend on preceding text in the buffer. Maybe standard
> Emacs fontification code handles that separately, but e.g.
> Logview (almost) completely replaces the standard code here
> with a home-grown solution aimed specifically at log files. And
> actually this was done exactly for speed.
>
> Anyway, I hope this is finished soon.

For the time being, you can either use an indirect buffer, or run the
fontification code in a timer.

The former already exists in the wild.